This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 794940 - 'host' dies with SEGV.
'host' dies with SEGV.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Hozza
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-17 19:40 EST by David Woodhouse
Modified: 2013-11-19 16:51 EST (History)
2 users (show)

See Also:
Fixed In Version: bind-9.9.4-8.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-16 02:09:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2012-02-17 19:40:44 EST
Some of my employer's nameservers are broken; they return SERVFAIL for AAAA lookups for some hosts, including pkgs.fedoraproject.org.

I therefore expect some strange behaviour... but I *don't* expect 'host' to die with a segmentation fault.

(gdb) run
Starting program: /usr/bin/host new-onesource.ubs.com
[Thread debugging using libthread_db enabled]
[New Thread 0x7ffff7f99700 (LWP 17029)]
[New Thread 0x7ffff7798700 (LWP 17030)]
[New Thread 0x7ffff6f97700 (LWP 17031)]
new-onesource.ubs.com is an alias for new-onesource.apollo.ubs.com.
new-onesource.apollo.ubs.com has address 148.112.144.47
Host new-onesource.apollo.ubs.com not found: 3(NXDOMAIN)

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7ffff7f99700 (LWP 17029)]
0x000000000040feac in send_done (_task=<optimized out>, event=0x7ffff7faf010)
    at dighost.c:2376
2376			ISC_LIST_DEQUEUE(sevent->bufferlist, b, link);
Missing separate debuginfos, use: debuginfo-install glibc-2.14-5.x86_64
(gdb) bt
#0  0x000000000040feac in send_done (_task=<optimized out>, 
    event=0x7ffff7faf010) at dighost.c:2376
#1  0x000000346022d838 in dispatch (manager=0x7ffff7f9f010) at task.c:1012
#2  run (uap=0x7ffff7f9f010) at task.c:1157
#3  0x0000003094807b31 in start_thread () from /lib64/libpthread.so.0
#4  0x00000030944dfd2d in clone () from /lib64/libc.so.6
(gdb) x/i $pc
=> 0x40feac <send_done+172>:	mov    %rcx,0x20(%rdx)
(gdb) list *$pc
0x40feac is in send_done (dighost.c:2376).
2371		INSIST(sendcount >= 0);
2372	
2373		for  (b = ISC_LIST_HEAD(sevent->bufferlist);
2374		      b != NULL;
2375		      b = ISC_LIST_HEAD(sevent->bufferlist))
2376			ISC_LIST_DEQUEUE(sevent->bufferlist, b, link);
2377	
2378		query = event->ev_arg;
2379		query->waiting_senddone = ISC_FALSE;
2380		l = query->lookup;
(gdb) p sevent
$1 = (isc_socketevent_t *) 0x7ffff7faf010
(gdb) p sevent->bufferlist
$2 = {head = 0x7ffff7fad200, tail = 0x7ffff7fad200}
(gdb) p b
$3 = (isc_buffer_t *) 0x7ffff7fad200
(gdb) p link
$4 = {next = 0x0, table = 0x0}
Comment 1 David Woodhouse 2012-02-17 19:41:21 EST
bind-utils-9.8.0-3.P1.fc15.x86_64
Comment 2 Fedora End Of Life 2012-08-06 16:01:55 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2012-08-06 16:02:09 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 David Woodhouse 2013-02-17 20:15:41 EST
Something similar is still happening in Fedora 18:

 $ host onesource.apollo.ubs.com
onesource.apollo.ubs.com has address 148.112.144.47
Segmentation fault
 $ host onesource.ubs.com
onesource.ubs.com is an alias for onesource.apollo.ubs.com.
onesource.apollo.ubs.com has address 148.112.144.47
Host onesource.apollo.ubs.com not found: 3(NXDOMAIN)
Host onesource.apollo.ubs.com not found: 3(NXDOMAIN)
Comment 5 David Woodhouse 2013-02-17 20:17:33 EST
That one is a publicly misconfigured nameserver, so should be reproducible by anyone. Yay UBS for being incompetent and giving me a public test case...
Comment 6 Fedora Admin XMLRPC Client 2013-04-25 07:38:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Tomas Hozza 2013-05-13 03:46:24 EDT
(In reply to comment #5)
> That one is a publicly misconfigured nameserver, so should be reproducible
> by anyone. Yay UBS for being incompetent and giving me a public test case...

Hi.

Do you still have this issue on Fedora 18? If yes, can you please include
full name-version-release of bind-utils ('rpm -q bind-utils')?

I tried:
$ host onesource.apollo.ubs.com
and
$ host onesource.ubs.com

with bind-utils-9.9.2-10.P2.fc18.x86_64 and the 'host' binary does not die
with SEGV.

Thanks!
Comment 8 Tomas Hozza 2013-10-18 03:36:55 EDT
Reported to upstream -> [ISC-Bugs #34870]

Patch also prepared and sent... I'll include this fix in Fedora.
Comment 9 Tomas Hozza 2013-10-18 06:24:24 EDT
Fixed in:
bind-9.9.4-3.fc21
bind-9.9.4-3.fc20
bind-9.9.3-10.P2.fc19
bind-9.9.3-5.P2.fc18
Comment 10 Fedora Update System 2013-10-31 12:17:21 EDT
bind-9.9.3-7.P2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bind-9.9.3-7.P2.fc18
Comment 11 Fedora Update System 2013-10-31 23:54:13 EDT
Package bind-9.9.3-7.P2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bind-9.9.3-7.P2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20422/bind-9.9.3-7.P2.fc18
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-11-15 09:00:17 EST
bind-9.9.4-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/bind-9.9.4-8.fc20
Comment 13 Fedora Update System 2013-11-16 02:09:46 EST
bind-9.9.3-7.P2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-11-19 16:51:34 EST
bind-9.9.4-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.